---
Rails/SkipsModelValidations:
  # Offense count: 1424
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/projects/environments_controller.rb'
    - 'app/controllers/projects/notes_controller.rb'
    - 'app/models/alert_management/alert.rb'
    - 'app/models/analytics/cycle_analytics/aggregation.rb'
    - 'app/models/chat_name.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_trace_chunks/database.rb'
    - 'app/models/ci/build_trace_metadata.rb'
    - 'app/models/ci/daily_build_group_report_result.rb'
    - 'app/models/ci/deleted_object.rb'
    - 'app/models/ci/namespace_mirror.rb'
    - 'app/models/ci/pending_build.rb'
    - 'app/models/ci/pipeline_schedule.rb'
    - 'app/models/ci/processable.rb'
    - 'app/models/ci/project_mirror.rb'
    - 'app/models/ci/resource_group.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci/running_build.rb'
    - 'app/models/ci/unit_test.rb'
    - 'app/models/commit_status.rb'
    - 'app/models/concerns/batch_nullify_dependent_associations.rb'
    - 'app/models/concerns/board_recent_visit.rb'
    - 'app/models/concerns/cache_markdown_field.rb'
    - 'app/models/concerns/can_move_repository_storage.rb'
    - 'app/models/concerns/cascading_namespace_setting_attribute.rb'
    - 'app/models/concerns/counter_attribute.rb'
    - 'app/models/concerns/deprecated_assignee.rb'
    - 'app/models/concerns/file_store_mounter.rb'
    - 'app/models/concerns/has_wiki_page_meta_attributes.rb'
    - 'app/models/concerns/noteable.rb'
    - 'app/models/concerns/packages/debian/distribution.rb'
    - 'app/models/concerns/relative_positioning.rb'
    - 'app/models/concerns/repository_storage_movable.rb'
    - 'app/models/concerns/resolvable_note.rb'
    - 'app/models/concerns/schedulable.rb'
    - 'app/models/concerns/subscribable.rb'
    - 'app/models/container_expiration_policy.rb'
    - 'app/models/customer_relations/contact.rb'
    - 'app/models/customer_relations/organization.rb'
    - 'app/models/deployment.rb'
    - 'app/models/diff_note_position.rb'
    - 'app/models/environment.rb'
    - 'app/models/gpg_key.rb'
    - 'app/models/group.rb'
    - 'app/models/group_import_state.rb'
    - 'app/models/hooks/web_hook.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/issue.rb'
    - 'app/models/jira_import_state.rb'
    - 'app/models/loose_foreign_keys/deleted_record.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request/diff_commit_user.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/namespace.rb'
    - 'app/models/note.rb'
    - 'app/models/project.rb'
    - 'app/models/project_authorization.rb'
    - 'app/models/project_import_state.rb'
    - 'app/models/project_statistics.rb'
    - 'app/models/project_wiki.rb'
    - 'app/models/projects/ci_feature_usage.rb'
    - 'app/models/projects/repository_storage_move.rb'
    - 'app/models/projects/topic.rb'
    - 'app/models/raw_usage_data.rb'
    - 'app/models/remote_mirror.rb'
    - 'app/models/route.rb'
    - 'app/models/todo.rb'
    - 'app/models/u2f_registration.rb'
    - 'app/models/user.rb'
    - 'app/models/user_custom_attribute.rb'
    - 'app/models/user_interacted_project.rb'
    - 'app/services/boards/lists/base_destroy_service.rb'
    - 'app/services/boards/lists/move_service.rb'
    - 'app/services/bulk_create_integration_service.rb'
    - 'app/services/bulk_update_integration_service.rb'
    - 'app/services/ci/abort_pipelines_service.rb'
    - 'app/services/ci/disable_user_pipeline_schedules_service.rb'
    - 'app/services/ci/expire_pipeline_cache_service.rb'
    - 'app/services/ci/job_artifacts/create_service.rb'
    - 'app/services/ci/job_artifacts/destroy_batch_service.rb'
    - 'app/services/ci/job_artifacts/expire_project_build_artifacts_service.rb'
    - 'app/services/ci/job_artifacts/update_unknown_locked_status_service.rb'
    - 'app/services/ci/test_failure_history_service.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/ci/update_pending_build_service.rb'
    - 'app/services/clusters/agent_tokens/track_usage_service.rb'
    - 'app/services/clusters/agents/refresh_authorization_service.rb'
    - 'app/services/clusters/integrations/prometheus_health_check_service.rb'
    - 'app/services/deployments/archive_in_project_service.rb'
    - 'app/services/event_create_service.rb'
    - 'app/services/groups/transfer_service.rb'
    - 'app/services/issuable_base_service.rb'
    - 'app/services/issues/move_service.rb'
    - 'app/services/issues/set_crm_contacts_service.rb'
    - 'app/services/keys/expiry_notification_service.rb'
    - 'app/services/keys/last_used_service.rb'
    - 'app/services/labels/promote_service.rb'
    - 'app/services/labels/transfer_service.rb'
    - 'app/services/merge_requests/bulk_remove_attention_requested_service.rb'
    - 'app/services/merge_requests/cleanup_refs_service.rb'
    - 'app/services/merge_requests/ff_merge_service.rb'
    - 'app/services/merge_requests/merge_service.rb'
    - 'app/services/merge_requests/rebase_service.rb'
    - 'app/services/merge_requests/reopen_service.rb'
    - 'app/services/milestones/promote_service.rb'
    - 'app/services/milestones/transfer_service.rb'
    - 'app/services/packages/composer/create_package_service.rb'
    - 'app/services/packages/debian/generate_distribution_service.rb'
    - 'app/services/packages/generic/create_package_file_service.rb'
    - 'app/services/packages/mark_package_files_for_destruction_service.rb'
    - 'app/services/packages/npm/create_tag_service.rb'
    - 'app/services/packages/pypi/create_package_service.rb'
    - 'app/services/packages/rubygems/create_dependencies_service.rb'
    - 'app/services/personal_access_tokens/last_used_service.rb'
    - 'app/services/projects/destroy_service.rb'
    - 'app/services/projects/detect_repository_languages_service.rb'
    - 'app/services/projects/move_deploy_keys_projects_service.rb'
    - 'app/services/projects/move_forks_service.rb'
    - 'app/services/projects/move_lfs_objects_projects_service.rb'
    - 'app/services/projects/move_notification_settings_service.rb'
    - 'app/services/projects/move_project_authorizations_service.rb'
    - 'app/services/projects/move_project_group_links_service.rb'
    - 'app/services/projects/move_project_members_service.rb'
    - 'app/services/projects/move_users_star_projects_service.rb'
    - 'app/services/projects/repository_languages_service.rb'
    - 'app/services/projects/unlink_fork_service.rb'
    - 'app/services/reset_project_cache_service.rb'
    - 'app/services/spam/akismet_mark_as_spam_service.rb'
    - 'app/services/spam/ham_service.rb'
    - 'app/services/suggestions/apply_service.rb'
    - 'app/services/suggestions/outdate_service.rb'
    - 'app/services/users/activity_service.rb'
    - 'app/services/users/migrate_to_ghost_user_service.rb'
    - 'app/services/users/respond_to_terms_service.rb'
    - 'app/services/users/set_status_service.rb'
    - 'app/services/users/upsert_credit_card_validation_service.rb'
    - 'app/services/x509_certificate_revoke_service.rb'
    - 'app/uploaders/file_mover.rb'
    - 'app/uploaders/object_storage.rb'
    - 'app/workers/analytics/usage_trends/counter_job_worker.rb'
    - 'app/workers/concerns/dependency_proxy/expireable.rb'
    - 'app/workers/concerns/packages/cleanup_artifact_worker.rb'
    - 'app/workers/container_expiration_policy_worker.rb'
    - 'app/workers/packages/helm/extraction_worker.rb'
    - 'app/workers/packages/nuget/extraction_worker.rb'
    - 'app/workers/packages/rubygems/extraction_worker.rb'
    - 'app/workers/personal_access_tokens/expired_notification_worker.rb'
    - 'app/workers/personal_access_tokens/expiring_worker.rb'
    - 'app/workers/pipeline_metrics_worker.rb'
    - 'app/workers/process_commit_worker.rb'
    - 'app/workers/repository_check/clear_worker.rb'
    - 'app/workers/repository_check/single_repository_worker.rb'
    - 'app/workers/stuck_merge_jobs_worker.rb'
    - 'app/workers/x509_issuer_crl_check_worker.rb'
    - 'db/migrate/20210428151144_update_invalid_web_hooks.rb'
    - 'db/migrate/20210629031900_associate_existing_dast_builds_with_variables.rb'
    - 'db/migrate/20210630224625_generate_customers_dot_jwt_signing_key.rb'
    - 'db/migrate/20210729123101_confirm_security_bot.rb'
    - 'db/migrate/20220413054910_backfill_delayed_group_deletion.rb'
    - 'db/post_migrate/20210303121224_update_gitlab_subscriptions_start_at_post_eoa.rb'
    - 'db/post_migrate/20210303165302_cleanup_cluster_tokens_with_null_name.rb'
    - 'db/post_migrate/20210406144743_backfill_total_tuple_count_for_batched_migrations.rb'
    - 'db/post_migrate/20210513155546_backfill_nuget_temporary_packages_to_processing_status.rb'
    - 'db/post_migrate/20210601073400_fix_total_stage_in_vsa.rb'
    - 'db/post_migrate/20210615234935_fix_batched_migrations_old_format_job_arguments.rb'
    - 'db/post_migrate/20210722042939_update_issuable_slas_where_issue_closed.rb'
    - 'db/post_migrate/20210731132939_backfill_stage_event_hash.rb'
    - 'db/post_migrate/20210809123658_orphaned_invite_tokens_cleanup.rb'
    - 'db/post_migrate/20210811122206_update_external_project_bots.rb'
    - 'db/post_migrate/20210825150212_cleanup_remaining_orphan_invites.rb'
    - 'db/post_migrate/20210826171758_initialize_throttle_unauthenticated_api_columns.rb'
    - 'db/post_migrate/20210901153324_slice_merge_request_diff_commit_migrations.rb'
    - 'db/post_migrate/20210908132335_disable_job_token_scope_when_unused.rb'
    - 'db/post_migrate/20210914095310_cleanup_orphan_project_access_tokens.rb'
    - 'db/post_migrate/20211217174331_mark_recalculate_finding_signatures_as_completed.rb'
    - 'db/post_migrate/20211220123956_update_invalid_member_states.rb'
    - 'db/post_migrate/20220305223212_add_security_training_providers.rb'
    - 'db/post_migrate/20220307203459_rename_user_email_lookup_limit_setting_to_search_settings_cleanup.rb'
    - 'db/post_migrate/20220322132242_update_pages_onboarding_state.rb'
    - 'ee/app/controllers/ee/clusters/clusters_controller.rb'
    - 'ee/app/models/approval_merge_request_rule.rb'
    - 'ee/app/models/ci/minutes/namespace_monthly_usage.rb'
    - 'ee/app/models/ci/minutes/project_monthly_usage.rb'
    - 'ee/app/models/concerns/deprecated_approvals_before_merge.rb'
    - 'ee/app/models/concerns/epic_tree_sorting.rb'
    - 'ee/app/models/concerns/geo/replicable_registry.rb'
    - 'ee/app/models/concerns/geo/verification_state.rb'
    - 'ee/app/models/ee/description_version.rb'
    - 'ee/app/models/ee/environment.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/event.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/iteration.rb'
    - 'ee/app/models/ee/namespace_setting.rb'
    - 'ee/app/models/ee/project_wiki.rb'
    - 'ee/app/models/geo/container_repository_registry.rb'
    - 'ee/app/models/geo/design_registry.rb'
    - 'ee/app/models/geo/project_registry.rb'
    - 'ee/app/models/geo_node.rb'
    - 'ee/app/models/incident_management/oncall_rotation.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_associations_service.rb'
    - 'ee/app/services/ci/minutes/additional_packs/change_namespace_service.rb'
    - 'ee/app/services/ci/minutes/batch_reset_service.rb'
    - 'ee/app/services/ci/minutes/refresh_cached_data_service.rb'
    - 'ee/app/services/ci/minutes/reset_usage_service.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/ci/sync_reports_to_approval_rules_service.rb'
    - 'ee/app/services/ee/issues/move_service.rb'
    - 'ee/app/services/ee/labels/promote_service.rb'
    - 'ee/app/services/ee/milestones/promote_service.rb'
    - 'ee/app/services/ee/projects/transfer_service.rb'
    - 'ee/app/services/ee/users/migrate_to_ghost_user_service.rb'
    - 'ee/app/services/epics/strategies/due_date_inherited_strategy.rb'
    - 'ee/app/services/epics/strategies/start_date_inherited_strategy.rb'
    - 'ee/app/services/geo/repository_verification_reset.rb'
    - 'ee/app/services/incident_management/oncall_rotations/edit_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/remove_participant_service.rb'
    - 'ee/app/services/iterations/cadences/create_iterations_in_advance_service.rb'
    - 'ee/app/services/iterations/cadences/destroy_service.rb'
    - 'ee/app/services/iterations/delete_service.rb'
    - 'ee/app/services/iterations/roll_over_issues_service.rb'
    - 'ee/app/services/ldap_group_reset_service.rb'
    - 'ee/app/services/personal_access_tokens/revoke_invalid_tokens.rb'
    - 'ee/app/services/security/findings/cleanup_service.rb'
    - 'ee/app/services/security/ingestion/mark_as_resolved_service.rb'
    - 'ee/app/services/security/store_findings_metadata_service.rb'
    - 'ee/app/services/security/store_scan_service.rb'
    - 'ee/app/services/security/update_training_service.rb'
    - 'ee/app/services/vulnerabilities/starboard_vulnerability_resolve_service.rb'
    - 'ee/app/workers/import_software_licenses_worker.rb'
    - 'ee/app/workers/iterations_update_status_worker.rb'
    - 'ee/app/workers/sync_seat_link_request_worker.rb'
    - 'ee/lib/api/geo_replication.rb'
    - 'ee/lib/ee/api/protected_branches.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/sync/group.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_iteration_cadence_id_for_boards.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_job_artifact_registry_to_ssf.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_requirements_to_work_items.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_uuids_for_security_findings.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/tasks/migrate/ldap.rake'
    - 'ee/spec/controllers/admin/geo/projects_controller_spec.rb'
    - 'ee/spec/controllers/groups/dependency_proxy_for_containers_controller_spec.rb'
    - 'ee/spec/controllers/groups/ldaps_controller_spec.rb'
    - 'ee/spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'ee/spec/controllers/trials_controller_spec.rb'
    - 'ee/spec/factories/import_states.rb'
    - 'ee/spec/features/admin/admin_settings_spec.rb'
    - 'ee/spec/features/epic_boards/epic_boards_sidebar_spec.rb'
    - 'ee/spec/features/projects/settings/ee/service_desk_setting_spec.rb'
    - 'ee/spec/features/projects/settings/issues_settings_spec.rb'
    - 'ee/spec/features/projects/settings/protected_environments_spec.rb'
    - 'ee/spec/features/projects/user_applies_custom_file_template_spec.rb'
    - 'ee/spec/features/trials/select_namespace_spec.rb'
    - 'ee/spec/finders/geo/repository_verification_finder_spec.rb'
    - 'ee/spec/finders/security/findings_finder_spec.rb'
    - 'ee/spec/finders/security/training_urls_finder_spec.rb'
    - 'ee/spec/finders/template_finder_spec.rb'
    - 'ee/spec/graphql/mutations/issues/set_epic_spec.rb'
    - 'ee/spec/graphql/mutations/issues/set_escalation_policy_spec.rb'
    - 'ee/spec/graphql/mutations/issues/set_iteration_spec.rb'
    - 'ee/spec/graphql/resolvers/boards/epic_lists_resolvers_spec.rb'
    - 'ee/spec/helpers/ee/blob_helper_spec.rb'
    - 'ee/spec/helpers/push_rules_helper_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/epic_reference_filter_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/iteration_reference_filter_spec.rb'
    - 'ee/spec/lib/banzai/filter/references/vulnerability_reference_filters_spec.rb'
    - 'ee/spec/lib/ee/api/helpers_spec.rb'
    - 'ee/spec/lib/ee/audit/group_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/audit/project_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/audit/project_ci_cd_setting_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/audit/project_feature_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/audit/protected_branches_changes_auditor_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/ldap/sync/group_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/fix_incorrect_max_seats_used_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rules/commit_check_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/access_spec.rb'
    - 'ee/spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'ee/spec/lib/gitlab/custom_file_templates_spec.rb'
    - 'ee/spec/lib/gitlab/geo/geo_tasks_spec.rb'
    - 'ee/spec/lib/gitlab/geo/jwt_request_decoder_spec.rb'
    - 'ee/spec/lib/gitlab/geo/signed_data_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/models/application_setting_spec.rb'
    - 'ee/spec/models/ci/minutes/namespace_monthly_usage_spec.rb'
    - 'ee/spec/models/concerns/elastic/note_spec.rb'
    - 'ee/spec/models/concerns/geo/verification_state_spec.rb'
    - 'ee/spec/models/dast/profile_schedule_spec.rb'
    - 'ee/spec/models/ee/group_spec.rb'
    - 'ee/spec/models/ee/groups/feature_setting_spec.rb'
    - 'ee/spec/models/ee/iteration_spec.rb'
    - 'ee/spec/models/ee/iterations/cadence_spec.rb'
    - 'ee/spec/models/ee/namespace_limit_spec.rb'
    - 'ee/spec/models/ee/vulnerability_spec.rb'
    - 'ee/spec/models/geo_node_spec.rb'
    - 'ee/spec/models/geo_node_status_spec.rb'
    - 'ee/spec/models/group_wiki_repository_spec.rb'
    - 'ee/spec/models/instance_security_dashboard_spec.rb'
    - 'ee/spec/models/merge_request/blocking_spec.rb'
    - 'ee/spec/models/merge_train_spec.rb'
    - 'ee/spec/models/packages/package_file_spec.rb'
    - 'ee/spec/models/project_feature_spec.rb'
    - 'ee/spec/models/project_import_state_spec.rb'
    - 'ee/spec/models/project_spec.rb'
    - 'ee/spec/models/project_team_spec.rb'
    - 'ee/spec/models/push_rule_spec.rb'
    - 'ee/spec/models/requirements_management/requirement_spec.rb'
    - 'ee/spec/models/security/scan_spec.rb'
    - 'ee/spec/models/snippet_repository_spec.rb'
    - 'ee/spec/models/vulnerabilities/feedback_spec.rb'
    - 'ee/spec/models/vulnerabilities/stat_diff_spec.rb'
    - 'ee/spec/policies/group_policy_spec.rb'
    - 'ee/spec/policies/project_policy_spec.rb'
    - 'ee/spec/requests/api/epic_issues_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/issues/promote_to_epic_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/issues/set_epic_spec.rb'
    - 'ee/spec/requests/api/groups_spec.rb'
    - 'ee/spec/requests/api/internal/app_sec/dast/site_validations_spec.rb'
    - 'ee/spec/requests/api/internal/kubernetes_spec.rb'
    - 'ee/spec/requests/api/namespaces_spec.rb'
    - 'ee/spec/requests/api/project_approvals_spec.rb'
    - 'ee/spec/requests/git_http_geo_spec.rb'
    - 'ee/spec/requests/projects/merge_requests_controller_spec.rb'
    - 'ee/spec/serializers/merge_request_widget_entity_spec.rb'
    - 'ee/spec/services/ci/create_pipeline_service_spec.rb'
    - 'ee/spec/services/ci/minutes/email_notification_service_spec.rb'
    - 'ee/spec/services/ci/register_job_service_spec.rb'
    - 'ee/spec/services/ci_cd/setup_project_spec.rb'
    - 'ee/spec/services/ee/boards/issues/list_service_spec.rb'
    - 'ee/spec/services/ee/notification_service_spec.rb'
    - 'ee/spec/services/ee/releases/create_evidence_service_spec.rb'
    - 'ee/spec/services/epic_issues/update_service_spec.rb'
    - 'ee/spec/services/epics/issue_promote_service_spec.rb'
    - 'ee/spec/services/epics/update_service_spec.rb'
    - 'ee/spec/services/geo/file_registry_removal_service_spec.rb'
    - 'ee/spec/services/geo/hashed_storage_migration_service_spec.rb'
    - 'ee/spec/services/groups/create_service_spec.rb'
    - 'ee/spec/services/groups/update_service_spec.rb'
    - 'ee/spec/services/merge_trains/check_status_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_merge_request_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_service_spec.rb'
    - 'ee/spec/services/projects/setup_ci_cd_spec.rb'
    - 'ee/spec/services/projects/update_mirror_service_spec.rb'
    - 'ee/spec/services/security/ingestion/ingest_report_slice_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/create_pipeline_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/starboard_vulnerability_resolve_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/statistics/adjustment_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/statistics/update_service_spec.rb'
    - 'ee/spec/support/helpers/ee/geo_helpers.rb'
    - 'ee/spec/support/shared_examples/models/requirement_issues_examples.rb'
    - 'ee/spec/support/shared_examples/policies/protected_environments_shared_examples.rb'
    - 'ee/spec/workers/app_sec/dast/profile_schedule_worker_spec.rb'
    - 'ee/spec/workers/ee/repository_check/batch_worker_spec.rb'
    - 'ee/spec/workers/geo/repositories_clean_up_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_shard_sync_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_sync_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_verification/primary/batch_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_verification/primary/shard_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_verification/secondary/scheduler_worker_spec.rb'
    - 'ee/spec/workers/geo/repository_verification/secondary/single_worker_spec.rb'
    - 'ee/spec/workers/geo/verification_state_backfill_service_spec.rb'
    - 'ee/spec/workers/import_software_licenses_worker_spec.rb'
    - 'ee/spec/workers/iterations/roll_over_issues_worker_spec.rb'
    - 'ee/spec/workers/iterations_update_status_worker_spec.rb'
    - 'ee/spec/workers/security/orchestration_policy_rule_schedule_namespace_worker_spec.rb'
    - 'ee/spec/workers/security/orchestration_policy_rule_schedule_worker_spec.rb'
    - 'ee/spec/workers/update_all_mirrors_worker_spec.rb'
    - 'lib/api/commit_statuses.rb'
    - 'lib/api/usage_data.rb'
    - 'lib/gitlab/background_migration/add_primary_email_to_emails_if_user_confirmed.rb'
    - 'lib/gitlab/background_migration/backfill_ci_queuing_tables.rb'
    - 'lib/gitlab/background_migration/backfill_draft_status_on_merge_requests.rb'
    - 'lib/gitlab/background_migration/backfill_jira_tracker_deployment_type2.rb'
    - 'lib/gitlab/background_migration/backfill_member_namespace_for_group_members.rb'
    - 'lib/gitlab/background_migration/backfill_namespace_id_for_namespace_route.rb'
    - 'lib/gitlab/background_migration/backfill_namespace_traversal_ids_roots.rb'
    - 'lib/gitlab/background_migration/backfill_projects_with_coverage.rb'
    - 'lib/gitlab/background_migration/backfill_topics_title.rb'
    - 'lib/gitlab/background_migration/backfill_user_namespace.rb'
    - 'lib/gitlab/background_migration/backfill_work_item_type_id_for_issues.rb'
    - 'lib/gitlab/background_migration/cleanup_draft_data_from_faulty_regex.rb'
    - 'lib/gitlab/background_migration/copy_column_using_background_migration_job.rb'
    - 'lib/gitlab/background_migration/legacy_upload_mover.rb'
    - 'lib/gitlab/background_migration/merge_topics_with_same_name.rb'
    - 'lib/gitlab/background_migration/migrate_merge_request_diff_commit_users.rb'
    - 'lib/gitlab/background_migration/migrate_null_private_profile_to_false.rb'
    - 'lib/gitlab/background_migration/migrate_personal_namespace_project_maintainer_to_owner.rb'
    - 'lib/gitlab/background_migration/migrate_project_taggings_context_from_tags_to_topics.rb'
    - 'lib/gitlab/background_migration/migrate_shimo_confluence_integration_category.rb'
    - 'lib/gitlab/background_migration/migrate_u2f_webauthn.rb'
    - 'lib/gitlab/background_migration/nullify_orphan_runner_id_on_ci_builds.rb'
    - 'lib/gitlab/background_migration/project_namespaces/backfill_project_namespaces.rb'
    - 'lib/gitlab/background_migration/remove_all_trace_expiration_dates.rb'
    - 'lib/gitlab/background_migration/reset_duplicate_ci_runners_token_encrypted_values_on_projects.rb'
    - 'lib/gitlab/background_migration/reset_duplicate_ci_runners_token_values_on_projects.rb'
    - 'lib/gitlab/bitbucket_import/importer.rb'
    - 'lib/gitlab/bitbucket_server_import/importer.rb'
    - 'lib/gitlab/ci/tags/bulk_insert.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/composer/cache.rb'
    - 'lib/gitlab/database/background_migration_job.rb'
    - 'lib/gitlab/database/postgresql_adapter/dump_schema_versions_mixin.rb'
    - 'lib/gitlab/database/rename_reserved_paths_migration/v1/rename_base.rb'
    - 'lib/gitlab/database/rename_reserved_paths_migration/v1/rename_namespaces.rb'
    - 'lib/gitlab/database/schema_migrations.rb'
    - 'lib/gitlab/etag_caching/middleware.rb'
    - 'lib/gitlab/fogbugz_import/importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_merged_by_importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_review_importer.rb'
    - 'lib/gitlab/import/set_async_jid.rb'
    - 'lib/gitlab/jira_import/handle_labels_service.rb'
    - 'lib/gitlab/job_waiter.rb'
    - 'lib/gitlab/legacy_github_import/importer.rb'
    - 'lib/gitlab/markdown_cache/active_record/extension.rb'
    - 'lib/gitlab/otp_key_rotator.rb'
    - 'lib/gitlab/seeder.rb'
    - 'lib/tasks/ci/cleanup.rake'
    - 'lib/tasks/gitlab/external_diffs.rake'
    - 'lib/tasks/gitlab/ldap.rake'
    - 'lib/tasks/gitlab/user_management.rake'
    - 'lib/tasks/migrate/migrate_iids.rake'
    - 'spec/controllers/groups/dependency_proxy_for_containers_controller_spec.rb'
    - 'spec/controllers/groups_controller_spec.rb'
    - 'spec/controllers/import/bitbucket_controller_spec.rb'
    - 'spec/controllers/import/gitlab_controller_spec.rb'
    - 'spec/controllers/omniauth_callbacks_controller_spec.rb'
    - 'spec/controllers/projects/forks_controller_spec.rb'
    - 'spec/controllers/projects/graphs_controller_spec.rb'
    - 'spec/controllers/projects/jobs_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/content_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/notes_controller_spec.rb'
    - 'spec/controllers/projects/pipelines/tests_controller_spec.rb'
    - 'spec/controllers/projects/repositories_controller_spec.rb'
    - 'spec/controllers/projects/settings/ci_cd_controller_spec.rb'
    - 'spec/controllers/projects/starrers_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/controllers/uploads_controller_spec.rb'
    - 'spec/factories/alert_management/alerts.rb'
    - 'spec/factories/container_expiration_policies.rb'
    - 'spec/factories/design_management/versions.rb'
    - 'spec/factories/environments.rb'
    - 'spec/factories/import_states.rb'
    - 'spec/factories/projects.rb'
    - 'spec/factories/usage_data.rb'
    - 'spec/features/admin/admin_settings_spec.rb'
    - 'spec/features/admin/admin_uses_repository_checks_spec.rb'
    - 'spec/features/dashboard/projects_spec.rb'
    - 'spec/features/groups_spec.rb'
    - 'spec/features/issues/create_issue_for_discussions_in_merge_request_spec.rb'
    - 'spec/features/issues/create_issue_for_single_discussion_in_merge_request_spec.rb'
    - 'spec/features/issues/discussion_lock_spec.rb'
    - 'spec/features/merge_request/merge_request_discussion_lock_spec.rb'
    - 'spec/features/merge_request/user_creates_image_diff_notes_spec.rb'
    - 'spec/features/merge_request/user_locks_discussion_spec.rb'
    - 'spec/features/merge_request/user_merges_only_if_pipeline_succeeds_spec.rb'
    - 'spec/features/merge_request/user_sees_diff_spec.rb'
    - 'spec/features/merge_request/user_sees_merge_button_depending_on_unresolved_discussions_spec.rb'
    - 'spec/features/merge_request/user_sees_merge_widget_spec.rb'
    - 'spec/features/merge_request/user_sees_pipelines_spec.rb'
    - 'spec/features/merge_request/user_views_merge_request_from_deleted_fork_spec.rb'
    - 'spec/features/monitor_sidebar_link_spec.rb'
    - 'spec/features/password_reset_spec.rb'
    - 'spec/features/profiles/emails_spec.rb'
    - 'spec/features/projects/blobs/blob_show_spec.rb'
    - 'spec/features/projects/diffs/diff_show_spec.rb'
    - 'spec/features/projects/features_visibility_spec.rb'
    - 'spec/features/projects/fork_spec.rb'
    - 'spec/features/projects/jobs_spec.rb'
    - 'spec/features/projects/milestones/milestone_spec.rb'
    - 'spec/features/projects/pipeline_schedules_spec.rb'
    - 'spec/features/projects/pipelines/pipeline_spec.rb'
    - 'spec/features/projects/settings/service_desk_setting_spec.rb'
    - 'spec/features/projects/settings/user_manages_merge_requests_settings_spec.rb'
    - 'spec/features/projects/user_sees_sidebar_spec.rb'
    - 'spec/features/projects_spec.rb'
    - 'spec/features/refactor_blob_viewer_disabled/projects/blobs/blob_show_spec.rb'
    - 'spec/features/u2f_spec.rb'
    - 'spec/features/users/show_spec.rb'
    - 'spec/features/webauthn_spec.rb'
    - 'spec/finders/groups_finder_spec.rb'
    - 'spec/finders/notes_finder_spec.rb'
    - 'spec/finders/packages/go/package_finder_spec.rb'
    - 'spec/finders/packages/maven/package_finder_spec.rb'
    - 'spec/finders/packages/npm/package_finder_spec.rb'
    - 'spec/finders/packages/nuget/package_finder_spec.rb'
    - 'spec/finders/packages/package_finder_spec.rb'
    - 'spec/finders/projects_finder_spec.rb'
    - 'spec/finders/releases/group_releases_finder_spec.rb'
    - 'spec/finders/releases_finder_spec.rb'
    - 'spec/finders/user_group_notification_settings_finder_spec.rb'
    - 'spec/graphql/mutations/custom_emoji/destroy_spec.rb'
    - 'spec/graphql/mutations/issues/set_escalation_status_spec.rb'
    - 'spec/graphql/mutations/issues/update_spec.rb'
    - 'spec/graphql/resolvers/ci/test_suite_resolver_spec.rb'
    - 'spec/graphql/types/project_type_spec.rb'
    - 'spec/helpers/auth_helper_spec.rb'
    - 'spec/helpers/events_helper_spec.rb'
    - 'spec/helpers/groups_helper_spec.rb'
    - 'spec/helpers/import_helper_spec.rb'
    - 'spec/helpers/members_helper_spec.rb'
    - 'spec/helpers/projects_helper_spec.rb'
    - 'spec/initializers/active_record_locking_spec.rb'
    - 'spec/lib/api/helpers_spec.rb'
    - 'spec/lib/backup/repositories_spec.rb'
    - 'spec/lib/banzai/filter/references/issue_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/merge_request_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/snippet_reference_filter_spec.rb'
    - 'spec/lib/banzai/reference_parser/merge_request_parser_spec.rb'
    - 'spec/lib/banzai/reference_parser/snippet_parser_spec.rb'
    - 'spec/lib/gitlab/asciidoc_spec.rb'
    - 'spec/lib/gitlab/auth/saml/user_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_project_repositories_spec.rb'
    - 'spec/lib/gitlab/background_migration/batched_migration_job_spec.rb'
    - 'spec/lib/gitlab/background_migration/update_timelogs_null_spent_at_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/group_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/project_spec.rb'
    - 'spec/lib/gitlab/contributions_calendar_spec.rb'
    - 'spec/lib/gitlab/cycle_analytics/permissions_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_runner_spec.rb'
    - 'spec/lib/gitlab/database/batch_count_spec.rb'
    - 'spec/lib/gitlab/database/consistency_checker_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/connection_proxy_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb'
    - 'spec/lib/gitlab/database/query_analyzers/prevent_cross_database_modification_spec.rb'
    - 'spec/lib/gitlab/database/schema_migrations/migrations_spec.rb'
    - 'spec/lib/gitlab/discussions_diff/file_collection_spec.rb'
    - 'spec/lib/gitlab/email/handler/create_note_handler_spec.rb'
    - 'spec/lib/gitlab/email/handler/create_note_on_issuable_handler_spec.rb'
    - 'spec/lib/gitlab/etag_caching/store_spec.rb'
    - 'spec/lib/gitlab/git_access_spec.rb'
    - 'spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/active_record/extension_spec.rb'
    - 'spec/lib/gitlab/middleware/go_spec.rb'
    - 'spec/lib/gitlab/middleware/query_analyzer_spec.rb'
    - 'spec/lib/gitlab/object_hierarchy_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/query_analyzer_spec.rb'
    - 'spec/lib/sidebars/projects/menus/project_information_menu_spec.rb'
    - 'spec/mailers/notify_spec.rb'
    - 'spec/migrations/20211126115449_encrypt_static_objects_external_storage_auth_token_spec.rb'
    - 'spec/migrations/remove_duplicate_dast_site_tokens_spec.rb'
    - 'spec/migrations/schedule_update_timelogs_null_spent_at_spec.rb'
    - 'spec/models/application_setting_spec.rb'
    - 'spec/models/ci/build_dependencies_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/group_spec.rb'
    - 'spec/models/ci/legacy_stage_spec.rb'
    - 'spec/models/ci/pipeline_schedule_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/processable_spec.rb'
    - 'spec/models/ci/resource_group_spec.rb'
    - 'spec/models/ci/runner_spec.rb'
    - 'spec/models/ci/stage_spec.rb'
    - 'spec/models/commit_signatures/gpg_signature_spec.rb'
    - 'spec/models/commit_status_spec.rb'
    - 'spec/models/concerns/cache_markdown_field_spec.rb'
    - 'spec/models/concerns/deployment_platform_spec.rb'
    - 'spec/models/concerns/deprecated_assignee_spec.rb'
    - 'spec/models/concerns/each_batch_spec.rb'
    - 'spec/models/concerns/pg_full_text_searchable_spec.rb'
    - 'spec/models/concerns/project_features_compatibility_spec.rb'
    - 'spec/models/concerns/spammable_spec.rb'
    - 'spec/models/container_repository_spec.rb'
    - 'spec/models/deploy_keys_project_spec.rb'
    - 'spec/models/deploy_token_spec.rb'
    - 'spec/models/diff_discussion_spec.rb'
    - 'spec/models/diff_note_spec.rb'
    - 'spec/models/environment_spec.rb'
    - 'spec/models/group_spec.rb'
    - 'spec/models/guest_spec.rb'
    - 'spec/models/integration_spec.rb'
    - 'spec/models/issue_spec.rb'
    - 'spec/models/loose_foreign_keys/deleted_record_spec.rb'
    - 'spec/models/member_spec.rb'
    - 'spec/models/members/group_member_spec.rb'
    - 'spec/models/members/project_member_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/namespace/traversal_hierarchy_spec.rb'
    - 'spec/models/namespace_spec.rb'
    - 'spec/models/note_spec.rb'
    - 'spec/models/project_authorization_spec.rb'
    - 'spec/models/project_feature_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/project_statistics_spec.rb'
    - 'spec/models/projects/build_artifacts_size_refresh_spec.rb'
    - 'spec/models/projects/topic_spec.rb'
    - 'spec/models/remote_mirror_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/route_spec.rb'
    - 'spec/models/snippet_repository_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/policies/ci/build_policy_spec.rb'
    - 'spec/policies/custom_emoji_policy_spec.rb'
    - 'spec/policies/note_policy_spec.rb'
    - 'spec/policies/project_policy_spec.rb'
    - 'spec/presenters/ci/build_presenter_spec.rb'
    - 'spec/presenters/project_presenter_spec.rb'
    - 'spec/requests/api/ci/job_artifacts_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/container_repository/container_repository_details_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_blobs_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_group_setting_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_image_ttl_policy_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_manifests_spec.rb'
    - 'spec/requests/api/graphql/mutations/custom_emoji/destroy_spec.rb'
    - 'spec/requests/api/graphql/mutations/snippets/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/snippets/destroy_spec.rb'
    - 'spec/requests/api/graphql/mutations/snippets/update_spec.rb'
    - 'spec/requests/api/helm_packages_spec.rb'
    - 'spec/requests/api/issues/get_group_issues_spec.rb'
    - 'spec/requests/api/issues/get_project_issues_spec.rb'
    - 'spec/requests/api/issues/issues_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/notes_spec.rb'
    - 'spec/requests/api/nuget_group_packages_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/pypi_packages_spec.rb'
    - 'spec/requests/api/releases_spec.rb'
    - 'spec/requests/api/rubygem_packages_spec.rb'
    - 'spec/requests/api/snippets_spec.rb'
    - 'spec/requests/api/tags_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/groups/settings/access_tokens_controller_spec.rb'
    - 'spec/requests/jwt_controller_spec.rb'
    - 'spec/requests/lfs_http_spec.rb'
    - 'spec/requests/projects/merge_requests_spec.rb'
    - 'spec/requests/projects/settings/access_tokens_controller_spec.rb'
    - 'spec/services/alert_management/create_alert_issue_service_spec.rb'
    - 'spec/services/ci/compare_reports_base_service_spec.rb'
    - 'spec/services/ci/compare_test_reports_service_spec.rb'
    - 'spec/services/ci/job_artifacts/update_unknown_locked_status_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/ci/resource_groups/assign_resource_from_resource_group_service_spec.rb'
    - 'spec/services/ci/retry_job_service_spec.rb'
    - 'spec/services/ci/retry_pipeline_service_spec.rb'
    - 'spec/services/ci/test_failure_history_service_spec.rb'
    - 'spec/services/clusters/kubernetes/create_or_update_namespace_service_spec.rb'
    - 'spec/services/container_expiration_policies/cleanup_service_spec.rb'
    - 'spec/services/dependency_proxy/find_cached_manifest_service_spec.rb'
    - 'spec/services/deployments/update_environment_service_spec.rb'
    - 'spec/services/groups/create_service_spec.rb'
    - 'spec/services/groups/transfer_service_spec.rb'
    - 'spec/services/groups/update_service_spec.rb'
    - 'spec/services/incident_management/pager_duty/process_webhook_service_spec.rb'
    - 'spec/services/issuable/common_system_notes_service_spec.rb'
    - 'spec/services/issues/clone_service_spec.rb'
    - 'spec/services/issues/close_service_spec.rb'
    - 'spec/services/issues/update_service_spec.rb'
    - 'spec/services/members/destroy_service_spec.rb'
    - 'spec/services/merge_requests/get_urls_service_spec.rb'
    - 'spec/services/merge_requests/merge_service_spec.rb'
    - 'spec/services/merge_requests/refresh_service_spec.rb'
    - 'spec/services/merge_requests/reopen_service_spec.rb'
    - 'spec/services/merge_requests/update_service_spec.rb'
    - 'spec/services/notes/update_service_spec.rb'
    - 'spec/services/notification_service_spec.rb'
    - 'spec/services/packages/maven/metadata/sync_service_spec.rb'
    - 'spec/services/packages/nuget/search_service_spec.rb'
    - 'spec/services/projects/container_repository/delete_tags_service_spec.rb'
    - 'spec/services/projects/create_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/projects/fork_service_spec.rb'
    - 'spec/services/projects/refresh_build_artifacts_size_statistics_service_spec.rb'
    - 'spec/services/repositories/destroy_service_spec.rb'
    - 'spec/services/spam/ham_service_spec.rb'
    - 'spec/services/system_notes/design_management_service_spec.rb'
    - 'spec/services/system_notes/issuables_service_spec.rb'
    - 'spec/services/system_notes/time_tracking_service_spec.rb'
    - 'spec/services/users/repair_ldap_blocked_service_spec.rb'
    - 'spec/services/work_items/task_list_reference_replacement_service_spec.rb'
    - 'spec/support/helpers/access_matchers_helpers.rb'
    - 'spec/support/matchers/access_matchers_for_controller.rb'
    - 'spec/support/shared_contexts/email_shared_context.rb'
    - 'spec/support/shared_contexts/finders/packages/npm/package_finder_shared_context.rb'
    - 'spec/support/shared_contexts/mailers/notify_shared_context.rb'
    - 'spec/support/shared_contexts/requests/api/npm_packages_shared_context.rb'
    - 'spec/support/shared_examples/ci/stuck_builds_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/create_notes_rate_limit_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/githubish_import_controller_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/uploads_actions_shared_examples.rb'
    - 'spec/support/shared_examples/features/2fa_shared_examples.rb'
    - 'spec/support/shared_examples/features/access_tokens_shared_examples.rb'
    - 'spec/support/shared_examples/features/sidebar_shared_examples.rb'
    - 'spec/support/shared_examples/lib/banzai/reference_parser_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/ci/ci_trace_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/featurable_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/ttl_expirable_shared_examples.rb'
    - 'spec/support/shared_examples/models/members_notifications_shared_example.rb'
    - 'spec/support/shared_examples/models/packages/debian/distribution_shared_examples.rb'
    - 'spec/support/shared_examples/models/throttled_touch_shared_examples.rb'
    - 'spec/support/shared_examples/policies/resource_access_token_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/conan_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/members_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/pypi_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/user_activity_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/lists_list_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/container_registry_auth_service_shared_examples.rb'
    - 'spec/support/shared_examples/services/notification_service_shared_examples.rb'
    - 'spec/support/shared_examples/views/pipeline_status_changes_email.rb'
    - 'spec/support/trace/trace_helpers.rb'
    - 'spec/support_specs/matchers/exceed_query_limit_helpers_spec.rb'
    - 'spec/tasks/gitlab/artifacts/check_rake_spec.rb'
    - 'spec/tasks/gitlab/external_diffs_rake_spec.rb'
    - 'spec/tasks/gitlab/uploads/check_rake_spec.rb'
    - 'spec/uploaders/job_artifact_uploader_spec.rb'
    - 'spec/views/groups/edit.html.haml_spec.rb'
    - 'spec/views/projects/environments/terminal.html.haml_spec.rb'
    - 'spec/views/projects/tracing/show.html.haml_spec.rb'
    - 'spec/workers/auto_devops/disable_worker_spec.rb'
    - 'spec/workers/build_finished_worker_spec.rb'
    - 'spec/workers/ci/merge_requests/add_todo_when_build_fails_worker_spec.rb'
    - 'spec/workers/concerns/gitlab/github_import/stage_methods_spec.rb'
    - 'spec/workers/container_expiration_policies/cleanup_container_repository_worker_spec.rb'
    - 'spec/workers/container_expiration_policy_worker_spec.rb'
    - 'spec/workers/container_registry/migration/guard_worker_spec.rb'
    - 'spec/workers/gitlab/github_import/advance_stage_worker_spec.rb'
    - 'spec/workers/packages/cleanup_package_file_worker_spec.rb'
    - 'spec/workers/packages/cleanup_package_registry_worker_spec.rb'
    - 'spec/workers/packages/composer/cache_cleanup_worker_spec.rb'
    - 'spec/workers/pipeline_schedule_worker_spec.rb'
    - 'spec/workers/remote_mirror_notification_worker_spec.rb'
    - 'spec/workers/repository_check/batch_worker_spec.rb'
    - 'spec/workers/repository_check/clear_worker_spec.rb'
